# $Id$
#
---
elements:
  - name: booking_count
    type: Hidden
  - type: Repeatable
    nested_name: bookings
    counter_name: booking_count
    model_config:
      empty_rows: 1
    elements:
      - legend: Booking
        type: Fieldset
        elements:
          - name: id
            type: Hidden
          - label: Booking Type
            model_config:
              resultset: BookingType
            name: booking_type
            type: Select
          - label: Date
            name: date
            type: Select
            plugins:
              - PopulateOptions
            model_config:
              delete_if_empty: 1
          - label: Start Time
            name: start_time
            type: Select
            values:
              - '08:00'
              - '08:30'
              - '09:00'
              - '09:30'
              - '10:00'
              - '10:30'
              - '11:00'
              - '11:30'
              - '12:00'
              - '12:30'
              - '13:00'
              - '13:30'
              - '14:00'
              - '14:30'
              - '15:00'
              - '15:30'
              - '16:00'
              - '16:30'
              - '17:00'
              - '17:30'
              - '18:00'
              - '18:30'
          - label: End Time
            name: end_time
            type: Select
            values:
              - '12:00'
              - '12:30'
              - '13:00'
              - '13:30'
              - '14:00'
              - '14:30'
              - '15:00'
              - '15:30'
              - '16:00'
              - '16:30'
              - '17:00'
              - '17:30'
              - '18:00'
              - '18:30'
              - '19:00'
              - '19:30'
              - '20:00'
              - '20:30'
              - '21:00'
              - '21:30'
              - '22:00'
              - '22:30'
              - '23:00'
              - '23:30'
#          - type: Checkbox
#            name: delete_review
#            label: 'Delete Review?'
#            model_config:
#              delete_if_true: 1
          - type: Checkbox
            name: delete_me
            label: 'Delete?'
            model_config:
              delete_if_true: 1
  - type: Hidden
    name: count
    constraints:
      - type: Range
        max: 3
  - legend: Submit Data
    type: Fieldset
    elements:
      - label: Edit
        value: Edit
        name: submit
        type: Submit
      - label: Cancel
        value: Cancel
        name: cancel
        type: Submit
indicator: submit
load_config_file: generic/base.yml
#
# end
